Bug 740955

Summary: Review Request: cloud-init - Cloud instance init scripts
Product: [Fedora] Fedora Reporter: Garrett Holmstrom <gholms>
Component: Package ReviewAssignee: Dennis Gilmore <dennis>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: notting, package-review, p
Target Milestone: ---Flags: dennis: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: cloud-init-0.6.2-0.5.bzr457.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-10-03 18:06:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Garrett Holmstrom 2011-09-23 21:28:50 UTC
Spec URL: http://gholms.fedorapeople.org/review/cloud-init-0.6.2-0.2.bzr450.fc16.spec
SRPM URL: http://gholms.fedorapeople.org/review/cloud-init-0.6.2-0.2.bzr450.fc16.src.rpm
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3373156

Description:
Cloud-init is a set of init scripts for cloud instances.  Cloud instances
need special scripts to run during initialization to retrieve and install
ssh keys and to let the user run various scripts.

Comment 2 Garrett Holmstrom 2011-09-24 02:32:19 UTC
Macro-ized file paths at the reviewer's request:

Spec URL:
http://gholms.fedorapeople.org/review/cloud-init-0.6.2-0.4.bzr450.fc16.spec
SRPM URL:
http://gholms.fedorapeople.org/review/cloud-init-0.6.2-0.4.bzr450.fc16.src.rpm

Comment 3 Dennis Gilmore 2011-09-24 02:43:24 UTC
 rpmlint /var/lib/mock/fedora-16-x86_64/result
cloud-init.src: W: invalid-url Source0: cloud-init-0.6.2-bzr450.tar.gz
cloud-init.noarch: W: non-conffile-in-etc /etc/cloud/cloud.cfg.d/README
cloud-init.noarch: W: no-manual-page-for-binary cloud-init
cloud-init.noarch: W: no-manual-page-for-binary cloud-init-cfg
cloud-init.noarch: W: no-manual-page-for-binary cloud-init-run-module
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

since the tarball is a upstream snapshot to verify the sources i checked out the sources per the instructions in the spec and did a diff of what is in the srpm. there was no differences. 


in the %files section you have 
%if 0%{?fedora} > 14
%config(noreplace) %{_sysconfdir}/rsyslog.d/21-cloudinit.conf
%endif

but where your installing the config file you do not have a matching check, you should also add a Requires for rsyslog and have the check there as well. though since this is very systemd specific might be best to just drop the check all together and unconditionaly require rsyslog 

you can chose the way you would like to handle it at import time

Approved.

Comment 4 Garrett Holmstrom 2011-09-24 03:20:23 UTC
New Package SCM Request
=======================
Package Name: cloud-init
Short Description: Cloud instance init scripts
Owners: gholms
Branches: f16
InitialCC:

Comment 5 Gwyn Ciesla 2011-09-24 15:56:00 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-09-24 23:39:30 UTC
cloud-init-0.6.2-0.5.bzr457.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cloud-init-0.6.2-0.5.bzr457.fc16

Comment 7 Fedora Update System 2011-09-25 18:15:10 UTC
cloud-init-0.6.2-0.5.bzr457.fc16 has been pushed to the Fedora 16 testing repository.

Comment 8 Fedora Update System 2011-10-03 18:06:46 UTC
cloud-init-0.6.2-0.5.bzr457.fc16 has been pushed to the Fedora 16 stable repository.

Comment 9 Pádraig Brady 2012-06-19 11:34:15 UTC
Package Change Request
======================
Package Name: cloud-init
New Branches: el6
Owners: pbrady gholms

Comment 10 Gwyn Ciesla 2012-06-19 12:57:37 UTC
Git done (by process-git-requests).

Comment 11 Pádraig Brady 2012-07-20 09:33:17 UTC
Package Change Request
======================
Package Name: cloud-init
New Branches: el5
Owners: pbrady gholms

CERN are testing cloud-init on SL5

Comment 12 Gwyn Ciesla 2012-07-20 12:12:02 UTC
Git done (by process-git-requests).